<form [formGroup]="formLogin">
  <div class="bg-custom">
    <fd-layout-grid>
      <div class="container">
        <fd-fixed-card-layout class="box-internal">
          <fd-card *fdCardDef="4" cardType="quickView">
            <fd-card-header>
              <fd-avatar
                image="http://picsum.photos/id/1018/400"
                [circle]="true"
                size="s"
                ariaLabel="avatar image"
                title="avatar image"
              >
              </fd-avatar>
              <h2 fd-card-title>Intra Alfa</h2>
              <h3 fd-card-subtitle>Seja Bem vindo!</h3>
            </fd-card-header>
            <fd-card-content>
              <div fd-form-item>
                <label
                  fd-form-label
                  for="fd-input-group-text-1"
                  id="fd-input-group-label-1"
                  >Usuário</label
                >
                <fd-input-group
                  id="fd-input-group-text-1"
                  addOnText="$"
                  placement="before"
                  placeholder="Usuário"
                  ariaLabelledby="fd-input-group-label-1"
                  formControlName="login"
                  [disabled]="isLoading"
                >
                </fd-input-group>
              </div>

              <br />

              <div fd-form-item>
                <label
                  fd-form-label
                  for="fd-input-group-text-2"
                  id="fd-input-group-label-2"
                  >Senha</label
                >
                <fd-input-group
                  id="fd-input-group-text-2"
                  type="password"
                  addOnText="$"
                  placement="before"
                  placeholder="Senha"
                  ariaLabelledby="fd-input-group-label-2"
                  formControlName="password"
                  [disabled]="isLoading"
                >
                </fd-input-group>
              </div>

              <div class="buttonLogin" fd-form-item>
                <fd-busy-indicator
                  [loading]="isLoading"
                  size="s"
                  aria-labelledby="fd-busy-indicator-label-2"
                  title="Inline Wrapper"
                >
                  <button
                    fd-button
                    label="Acessar sistema"
                    [fdType]="'ghost'"
                    (click)="onLogin()"
                    [disabled]="isLoading"
                  ></button>
                </fd-busy-indicator>
              </div>
            </fd-card-content>
          </fd-card>
        </fd-fixed-card-layout>
      </div>
    </fd-layout-grid>
  </div>
</form>
